Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class ApplyRequestValuesInterceptor

    java.lang.Object
      org.apache.struts2.jsf.FacesSupport
          org.apache.struts2.jsf.FacesInterceptor
              org.apache.struts2.jsf.ApplyRequestValuesInterceptor

All Implemented Interfaces:
  com.opensymphony.xwork2.interceptor.Interceptor, java.io.Serializable

    public class ApplyRequestValuesInterceptor

extends FacesInterceptor

Applies the request values to the component tree

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.jsf.FacesSupport
`FACES_ENABLED, log`

Constructor Summary
`ApplyRequestValuesInterceptor()`

Method Summary
`protected boolean` | `executePhase(java.lang.String viewId, javax.faces.context.FacesContext facesContext)` Apply Request Values (JSF.2.2.2)

Methods inherited from class org.apache.struts2.jsf.FacesInterceptor
`destroy, init, intercept, isFacesEnabled`

Methods inherited from class org.apache.struts2.jsf.FacesSupport
`informPhaseListenersAfter, informPhaseListenersBefore, isResponseComplete, setLifecycle, shouldRenderResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplyRequestValuesInterceptor

    public ApplyRequestValuesInterceptor()

Method Detail

### executePhase

    protected boolean executePhase(java.lang.String viewId,
                                   javax.faces.context.FacesContext facesContext)
                            throws javax.faces.FacesException

  Apply Request Values (JSF.2.2.2)

  Overrides:
    `executePhase` in class `FacesInterceptor`
  Parameters:
    `viewId` - The view id
    `facesContext` - The faces context
  Returns:
    true, if response is complete
  Throws:
    `javax.faces.FacesException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.